EC_EDITLINE_FREE(3)

NAME
ec_editline_free - Free an editline structure allocated with ec_editline().

SYNOPSIS
#include <ecoli/editline.h>

void ec_editline_free(
    /*
     * The pointer to the ec_editline structure to free.
     */
    struct ec_editline   *editline
);

SEE ALSO

ec_editline_get_el(3), ec_editline_set_prompt(3), ec_editline_complete(3), ec_editline_set_prompt_esc(3), ec_editline_parse(3), ec_editline_term_size(3), ec_editline_gets(3), ec_editline_interact(3), ec_editline_set_node(3), ec_editline_set_history(3), ec_editline(3), ec_editline_get_node(3), ec_editline_curline(3)

COPYRIGHT

Copyright (C) 2010-2026 Olivier Matz, Robin Jarry.